package com.dxhy.common.enums;

/**
 * @author kangzq 20190507 抵扣统计明细总计
 */
public enum DktjmxzjEnum {

    /**
     * 总计
     */
    ZJ("99", 1);

    private static final String[] DKTJMXZJMC = {"总计"};

    private String dktjmxzjDm;
    private int index;

    DktjmxzjEnum(String dktjmxzjDm, int index) {
        this.dktjmxzjDm = dktjmxzjDm;
        this.index = index;
    }

    public String getDktjmxzjDm(int index) {
        for (DktjmxzjEnum en : DktjmxzjEnum.values()) {
            if (en.getIndex() == index) {
                return en.dktjmxzjDm;
            }
        }
        return null;
    }

    public String getDktjmxzjMc(int index) {
        int length = DKTJMXZJMC.length;
        if (index <= length) {
            return DKTJMXZJMC[index - 1];
        }
        return null;
    }

    public String getDktjmxzjDm() {
        return dktjmxzjDm;
    }

    public void setDktjmxzjDm(String dktjmxzjDm) {
        this.dktjmxzjDm = dktjmxzjDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

}
